
  oidc-identity-resolver-db:
    image: postgres:14
    container_name: oidc-identity-resolver-db
    ports:
      - "5432"
    environment:
      POSTGRES_USER: oidc-identity-resolver
      POSTGRES_PASSWORD: oidc-identity-resolver
      POSTGRES_DB: demo_identity_oidc_database
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -U oidc-identity-resolver -d demo_identity_oidc_database"]
      interval: 5s
      timeout: 5s
      retries: 5

  oidc-identity-resolver-flyway:
    image: flyway/flyway:8.5
    container_name: oidc-identity-resolver-flyway
    command: "-locations=filesystem:/sql-migrations -url=jdbc:postgresql://oidc-identity-resolver-db:5432/demo_identity_oidc_database -schemas=public -user=oidc-identity-resolver -password=oidc-identity-resolver -connectRetries=60 migrate"
    volumes:
      - ../../../services/oidc-identity-resolver/src/main/jib/db-flyway/:/sql-migrations
    depends_on:
      oidc-identity-resolver-db:
        condition: service_healthy
